Package org.apache.catalina.storeconfig

## Class SSLHostConfigSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.SSLHostConfigSF

All Implemented Interfaces:
  `IStoreFactory`

    public class SSLHostConfigSF
    extends StoreFactoryBase

Store SSLHostConfig

### Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

### Constructor Summary

Constructors
`SSLHostConfigSF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `storeChildren​(java.io.PrintWriter aWriter, int indent, java.lang.Object aSSLHostConfig, StoreDescription parentDesc)` Store nested SSLHostConfigCertificate elements.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLHostConfigSF

    public SSLHostConfigSF()

### Method Detail

#### storeChildren

    public void storeChildren​(java.io.PrintWriter aWriter,
                              int indent,
                              java.lang.Object aSSLHostConfig,
                              StoreDescription parentDesc)
                       throws java.lang.Exception

Store nested SSLHostConfigCertificate elements. Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aSSLHostConfig` - Current element
  `parentDesc` - The element description
Throws:
  `java.lang.Exception` - Configuration storing error